com.ietnet.fse.igestore.impl

## Class IGestoreConsensoUtils

- java.lang.Object
- - com.ietnet.fse.igestore.impl.IGestoreConsensoUtils

-     public class IGestoreConsensoUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IGestoreConsensoUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAssistibileAna(javax.xml.ws.WebServiceContext context, java.lang.String patientCode, boolean callINI)`
    `static boolean` | `isFuoriRegione(javax.xml.ws.WebServiceContext context, javax.persistence.EntityManager entityManager, java.lang.String patientCode)`
    `static void` | `registerConsentSet(javax.xml.ws.WebServiceContext context, javax.persistence.EntityManager entityManager, java.lang.String name, boolean agreement)`
    `boolean` | `setFuoriRegioneAgreement(javax.xml.ws.WebServiceContext context, java.lang.String patientCode, java.lang.Boolean alimentazione, java.lang.Boolean consultazione, java.lang.String idInformativa)`
    `boolean` | `setPreviousAgreement(javax.xml.ws.WebServiceContext context, java.lang.String patientCode, boolean agreement, boolean callINI)`
    `boolean` | `setReadingAgreement(javax.xml.ws.WebServiceContext context, java.lang.String patientCode, boolean agreement, boolean callINI)`
    `boolean` | `setWritingAgreement(javax.xml.ws.WebServiceContext context, java.lang.String patientCode, boolean agreement, boolean callINI)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IGestoreConsensoUtils

          public IGestoreConsensoUtils()

  - ### Method Detail

    - #### setWritingAgreement

          public boolean setWritingAgreement(javax.xml.ws.WebServiceContext context,
                                    java.lang.String patientCode,
                                    boolean agreement,
                                    boolean callINI)

    - #### setReadingAgreement

          public boolean setReadingAgreement(javax.xml.ws.WebServiceContext context,
                                    java.lang.String patientCode,
                                    boolean agreement,
                                    boolean callINI)

    - #### setPreviousAgreement

          public boolean setPreviousAgreement(javax.xml.ws.WebServiceContext context,
                                     java.lang.String patientCode,
                                     boolean agreement,
                                     boolean callINI)

    - #### getAssistibileAna

          public java.lang.String getAssistibileAna(javax.xml.ws.WebServiceContext context,
                                           java.lang.String patientCode,
                                           boolean callINI)

    - #### registerConsentSet

          public static void registerConsentSet(javax.xml.ws.WebServiceContext context,
                                javax.persistence.EntityManager entityManager,
                                java.lang.String name,
                                boolean agreement)
                                         throws com.ietnet.fse.FSEException

      Throws:
        `com.ietnet.fse.FSEException`

    - #### isFuoriRegione

          public static boolean isFuoriRegione(javax.xml.ws.WebServiceContext context,
                               javax.persistence.EntityManager entityManager,
                               java.lang.String patientCode)
                                        throws com.ietnet.fse.FSEException

      Throws:
        `com.ietnet.fse.FSEException`

    - #### setFuoriRegioneAgreement

          public boolean setFuoriRegioneAgreement(javax.xml.ws.WebServiceContext context,
                                         java.lang.String patientCode,
                                         java.lang.Boolean alimentazione,
                                         java.lang.Boolean consultazione,
                                         java.lang.String idInformativa)